AR Voyage on Mac M1 Unity 2020.3.20f1

  • Issue category: Sample App aka ‘AR Voyage’
  • Device type & OS version: iOS
  • Host machine & OS version: Mac M1
  • Issue Environment : Unity 3D
  • ARDK version: 1.3.1
  • Unity version: 2020.3.20f1

Dear All,

I am trying to setup AR Voyage App on my machine, I downloaded AR Voyage 1.3.1 .tar.gz file, extracted it and opened via Unity Hub. When the import process happening, Unity gives few warnings mentioning the unity version mismatch.

After the import process, Unity shows the below errors.

Even after importing ARDK 1.3.1 and ARDK Examples 1.3.1 packages, still, these errors are there.
I have added ARDK Patch files for Mac M1 as well.

Is there anything that I can do to get the up and running?

Thank you. :slight_smile:

Maybe try Unity 2021.3, it has better M1 support

1 Like

Hello Yasas,

Thank you for joining the discussion in the Lightship developer community forums! We’ve been able to reproduce the three CS0246 errors that you’ve reported with the AR Voyage demo project using ARDK 1.3.1 and we’re investigating the issue further.

1 Like

Dear @rob_link,

I am happy to be a part of this awesome community.
Thank you for your response.

I had the same problem with ARDK 1.3 a couple weeks ago. I couldn’t get this project working. It seems the project wants some components like Gameboard to be in the ARDK Examples namespace but in this version of the SDK those components are now in the ARDK namespace instead. I tried to change some code but wasn’t really getting anywhere.

1 Like

Recently got an M1 mac. Unity 2021.3.2f1 with ardk 1.3.1 works great

2 Likes

Actually, ARDK works great on Mac M1. The issue is with the AR Voyage Sample Project provided by the Lightship team. :slight_smile: That’s not working.